Package com.emc.documentum.rest.context.jc

# Class CtAuthBeans

java.lang.Object
com.emc.documentum.rest.context.jc.CtAuthBeans

@Configuration @Import(UtilityBeans.class) public class CtAuthBeans extends Object
Beans for Client Token authentication.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CtAuthBeans()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.emc.documentum.rest.security.provider.ClientTokenAuthProvider`
  `clientTokenAuthProvider()`
  Provides the bean of the client token authentication provider.
  `Compressor`
  `clientTokenCompressor()`
  Provides the bean of the client token compressor.
  `Crypto`
  `clientTokenCrypto()`
  Provides the bean of the client token clientToken crypto.
  `com.emc.documentum.rest.security.ticket.ClientTokenExpirationPolicy`
  `clientTokenExpirationPolicy()`
  Provides the bean of the client token expiration policy.
  `ClientTokenFactory`
  `clientTokenFactory()`
  Provides the bean of the client token factory.
  `ClientTokenPostAuthFilter`
  `clientTokenPostAuthFilter()`
  Provides the instanceof the client token post authentication filter.
  `ClientTokenPreAuthFilter`
  `clientTokenPreAuthFilter(org.springframework.security.authentication.AuthenticationManager authenticationManager)`
  Provides the instance (not bean) of the client token authentication filter.
  `com.emc.documentum.rest.security.ticket.ClientTokenProvider`
  `clientTokenProvider()`
  Provides the bean of the client token provider.
  `com.emc.documentum.rest.security.ticket.ClientTokenValidator`
  `clientTokenValidator()`
  Provides the bean of the client token validator.
  `Crypto`
  `crypto()`
  Deprecated.
  use `clientTokenCrypto()` instead.
  `CSRFHandler`
  `csrfHandler()`
  Provides the bean of the CSRF protection handler for client token

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CtAuthBeans

    public CtAuthBeans()

- ## Method Details

  - ### clientTokenPreAuthFilter

    public ClientTokenPreAuthFilter clientTokenPreAuthFilter(org.springframework.security.authentication.AuthenticationManager authenticationManager)
    Provides the instance (not bean) of the client token authentication filter.
    Parameters:
      `authenticationManager` - the authentication manager
    Returns:
      the client token authentication filter

  - ### clientTokenPostAuthFilter

    @Bean public ClientTokenPostAuthFilter clientTokenPostAuthFilter()
    Provides the instanceof the client token post authentication filter.
    Returns:
      the client token post authentication filter

  - ### clientTokenAuthProvider

    @Bean public com.emc.documentum.rest.security.provider.ClientTokenAuthProvider clientTokenAuthProvider()
    Provides the bean of the client token authentication provider.
    Returns:
      the client token authentication provider

  - ### crypto

    @Deprecated public Crypto crypto()
    Deprecated.
    use `clientTokenCrypto()` instead.
    Provides the bean of the client token clientToken crypto.
    Returns:
      the client token clientToken crypto

  - ### clientTokenCrypto

    @Bean public Crypto clientTokenCrypto()
    Provides the bean of the client token clientToken crypto.
    Returns:
      the client token clientTokenCrypto

  - ### clientTokenValidator

    @Bean public com.emc.documentum.rest.security.ticket.ClientTokenValidator clientTokenValidator()
    Provides the bean of the client token validator.
    Returns:
      the client token validator

  - ### clientTokenFactory

    @Bean public ClientTokenFactory clientTokenFactory()
    Provides the bean of the client token factory.
    Returns:
      the client token factory

  - ### clientTokenCompressor

    @Bean public Compressor clientTokenCompressor()
    Provides the bean of the client token compressor.
    Returns:
      the client token compressor

  - ### clientTokenExpirationPolicy

    @Bean public com.emc.documentum.rest.security.ticket.ClientTokenExpirationPolicy clientTokenExpirationPolicy()
    Provides the bean of the client token expiration policy.
    Returns:
      the client token expiration policy

  - ### clientTokenProvider

    @Bean public com.emc.documentum.rest.security.ticket.ClientTokenProvider clientTokenProvider()
    Provides the bean of the client token provider.
    Returns:
      the client token provider

  - ### csrfHandler

    @Bean public CSRFHandler csrfHandler()
    Provides the bean of the CSRF protection handler for client token
    Returns:
      the CSRF handler